import 'package:equatable/equatable.dart';

class Name extends Equatable {
  const Name({this.uz, this.ru, this.zh});

  factory Name.fromJson(dynamic json) {
    return Name(uz: json['uz'], ru: json['ru'], zh: json['zh']);
  }

  final String? uz;
  final String? ru;
  final String? zh;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['uz'] = uz;
    map['ru'] = ru;
    map['zh'] = zh;
    return map;
  }

  @override
  List<Object?> get props => [uz, ru, zh];
}
